> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Adjust Points

> Allows points adjustment by adding or deducting points from the member’s loyalty account. <br /> **Note**: <br /> 1) Daily cap for adjustment is configurable as per the role requirements. <br /> 2) Point adjustments are recorded as a transaction, where a pre-defined reason code must be selected.



## OpenAPI

````yaml member post /v1/members/points-adjustment
openapi: 3.0.1
info:
  title: Loyalty (Member)
  description: >-
    fabric **Loyalty** formerly **Member** is a Loyalty Management System (LMS)
    that enables marketers to create multiple loyalty strategies under a loyalty
    program to cater to various businesses and customer segments. <br />
    **Member overview**: <br /> During onboarding, you are given the necessary
    **credentials** (client_id and client_secret) to obtain an access token,
    which is required to run every call. Membership hierarchy is organized into
    Programs, Clubs, and Tiers. <br /> **Program** is the first hierarchy level
    and is where rewards and benefits are configured for the organization. <br
    /> **Club** is the second hierarchy level and is where Rules for the program
    are configured. <br />Each Club must have at least one **Tier**, which is
    used to define membership and to configure criteria and thresholds
    (including free vs paid). Additional hierarchy levels can be added to
    support the needs of your business.  <br /> Members are always enrolled into
    a **Default Tier** within a club. When members make purchases, they earn
    Points based on the rules set at the club level and/or based on promotions.
    When points in a member account reach a predefined **Threshold Value**,
    points are converted to **Rewards**. This conversion may be manual or
    automatic depending on the program configuration. Members can **Redeem**
    their rewards within the reward **Expiry Period**. Account point balances
    are updated after each point-impacting activity.
  version: 1.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc
servers:
  - url: https://vanilla-dev02-loyalty.fabric.zone/api
    description: For developers to work outside of the production environment.
  - url: https://vanilla-stg-loyalty.fabric.zone/api
    description: Replica of the production environment for testing.
  - url: https://loyalty-sbx.fabric.zone/api
    description: >-
      An isolated testing environment (UAT) to run programs without affecting
      the application, system or platform on which they run.
  - url: https://loyalty.fabric.zone/api
    description: Production environment.
security:
  - bearerAuth: []
paths:
  /v1/members/points-adjustment:
    post:
      tags:
        - Members
      summary: Adjust Points
      description: >-
        Allows points adjustment by adding or deducting points from the member’s
        loyalty account. <br /> **Note**: <br /> 1) Daily cap for adjustment is
        configurable as per the role requirements. <br /> 2) Point adjustments
        are recorded as a transaction, where a pre-defined reason code must be
        selected.
      operationId: members_points-adjustment_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PointAdjustment'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/adjusted-points'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass1'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass2'
components:
  schemas:
    PointAdjustment:
      required:
        - points
      type: object
      description: Details needed to adjust points
      properties:
        profileId:
          title: Profileid
          type: string
          description: >-
            Profile ID of the member. In an ecosystem, it acts as a primary ID
            to keep the various systems (apps, websites, etc.) in sync.
          example: f90a1da5-c072-48b7-a9ea-eb35c5dd506b
          format: uuid
        pointType:
          title: Pointtype
          minLength: 1
          type: string
          description: >-
            Points type. <br /> They are categorized as: <br /> 1) Base points:
            Earned in any purchase transaction, based on the core rule. <br />
            2) Bonus points: Earned as a bonus for example on a large purchase.
            <br /> 3) Promotional Points: Earned as part of promotional events.
            <br /> 4) Restricted Points: Points to be used only on specified
            stores.
          example: Base
          nullable: true
        billingEntity:
          title: Billingentity
          minLength: 1
          type: string
          description: Billing entity for the adjustment transaction
          example: Company_Club
          nullable: true
        points:
          title: Points
          type: number
          format: integer
          description: Number of points to adjust. Can be positive or negative.
          example: 100
        reasonCode:
          title: Reasoncode
          minLength: 1
          type: string
          description: Reason code for the point adjustment
          example: '7502'
          nullable: true
        setToPending:
          title: Settopending
          type: boolean
          description: >-
            true: Points in Pending status. <br /> false: Points in Active
            status. <br />**Note**:The time period for Pending state is
            configurable.
          default: false
    adjusted-points:
      type: object
      description: Details of adjusted points
      properties:
        message:
          title: Message
          type: string
          description: Message corresponding to the call
          example: Member points adjusted
        errors:
          title: Errors
          type: object
          properties: {}
          description: Error details, if any.
        data:
          $ref: '#/components/schemas/points-adjustment'
          description: Adjustment details.
        status:
          title: Status
          type: integer
          description: Status code of call
          example: 200
          format: int32
    GenericResponseClass1:
      type: object
      description: Bad request
      properties:
        message:
          title: Message
          minLength: 1
          type: string
          description: Message corresponding to the call.
          example: Error message string
        errors:
          title: Errors
          type: object
          properties: {}
          description: A dictionary of lists with different number of errors or exceptions.
          example:
            ExceptionString:
              - Invalid Field
        data:
          title: Data
          type: object
          properties: {}
          description: Returns data in the form of a list of dictionaries or null
          example: null
        status:
          title: Status
          type: integer
          description: Status code of the call
          example: 400
          format: int32
    GenericResponseClass2:
      type: object
      description: Unauthorized
      properties:
        detail:
          title: Detail
          type: string
          description: Message corresponding to the response
          example: Authentication Failed
    points-adjustment:
      type: object
      description: Details of points adjustment
      properties:
        Message:
          title: Message
          type: string
          description: Message corresponding to call. Indicates the points adjusted.
          example: 100.0 points added
        futureDate:
          type: boolean
          description: >-
            true: Adjustment will happen on a future date <br />false:
            Adjustment will happen instantly.
          example: false
          default: false
        ExceptionString:
          type: string
          description: Details of exception, if applicable
          example: ''
        transactionCode:
          title: Transactioncode
          type: string
          format: uuid
          description: Transaction ID for points adjustment
          example: 78660e74-02e3-11e8-b443-00163e911bd2
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````